#
# spec file for package rawstudio
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define sosuffix -2_1
%define subver  2.1
%define git_date 20150227
Name:           rawstudio
Version:        2.1git.%{git_date}
Release:        5.2
Summary:        Raw-image converter
License:        GPL-2.0
Group:          Productivity/Graphics/Other
Url:            http://rawstudio.org/
# git clone https://github.com/rawstudio/rawstudio.git
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(fftw3f)
BuildRequires:  pkgconfig(flickcurl)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(lcms)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  pkgconfig(libssl)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(sqlite3)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
RawStudio is a digital camera RAW files processing software.

%lang_package

%package -n 	librawstudio%{sosuffix}
Summary:        RawStudio library
Group:          Development/Libraries/C and C++

%description -n librawstudio%{sosuffix}
This package contain the library needed to run a programs compiled
using librawstudio.

%package -n 	librawstudio-devel
Summary:        Development files for RawStudio
Group:          Development/Libraries/C and C++
Requires:       librawstudio%{sosuffix} = %{version}

%description -n librawstudio-devel
This package contains, header files, and libraries needed to develop 
application that use librawstudio.

%post -n librawstudio%{sosuffix} -p /sbin/ldconfig

%postun -n librawstudio%{sosuffix} -p /sbin/ldconfig

%prep
%setup -q

%build
./autogen.sh
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
find %{buildroot} -type f -name "*.la" -delete -print
%find_lang %{name}

%post
%desktop_database_post

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README.md TODO
%{_bindir}/rawstudio
%{_datadir}/applications/rawstudio.desktop
%dir %{_datadir}/appdata
%{_datadir}/appdata/rawstudio.appdata.xml
%{_datadir}/icons/rawstudio.png
%{_datadir}/pixmaps/*
%{_libdir}/rawstudio/
%{_datadir}/rawstudio/
%{_datadir}/rawspeed/

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n librawstudio%{sosuffix}
%defattr(-,root,root)
%{_libdir}/librawstudio-%{subver}.so

%files -n librawstudio-devel
%defattr(-,root,root)
%{_includedir}/%{name}-%{subver}/
%{_libdir}/pkgconfig/rawstudio-%{subver}.pc
%{_libdir}/librawstudio.so

%changelog
* Mon Mar  2 2015 avvissu@yandex.ru
- update to 2.1git.20150227
- remove all patches (fixed in upstream):
  * add-gthread-reference.patch
  * drop-deprecated-g_thread_init-call.patch
  * rawstudio-2.0-plugindir.patch
- use autogen.sh
- remove *.la file
- use %%desktop_database_{post,postun} for MimeType inside the
  desktop file
- spec file cleanup
* Mon Mar 26 2012 fisiu@opensuse.org
- Add drop-deprecated-g_thread_init-call.patch to fix build > 12.1.
* Mon Mar 26 2012 fisiu@opensuse.org
- Add symbolic link for plugins dir: fixed bnc#748464.
- Adjust previous patch.
* Wed Mar 21 2012 mrdocs@opensuse.org
- patch  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=661409
  enables build on > 12.1
* Mon May 30 2011 prusnak@opensuse.org
- updated to 2.0
